Partir geometria y partir linea por un punto aplicadas a multigeometrias generan mal las geometrias
resultado.
Description

Al partir multigeometrias con la herramienta partir geometria o partir linea por un punto deberia generar por un lado una
multigeometria con las geometrias no afectadas por el corte y por otro lado las geometrias resultantes del proceso de cortar como
geometrias simples.

En este momento la herramienta partir geometria sobre una multigeometria explota la multigeometria generando geometrias simples
sin importar si estan afectadas por el corte o no.

La herramienta partir por un punto sobre una multigeometria genera una multigeometria con todas las geometrias sin importar si
estan afectadas por el corte o no.

Associated revisions

Revision 494 - 05/26/2015 12:59 PM - Lluis Marqués

Fix geometry result of split multilines. refs #3483

Revision 495 - 05/26/2015 03:00 PM - Lluis Marqués

Fix geometry result of split geometries. refs #3483

Revision 498 - 05/27/2015 10:56 AM - Lluis Marqués

Fix error when split multicurve with only one geometry. refs #3483

History

#1 - 05/26/2015 11:06 AM - Lluis Marqués
- Status changed from New to In progress

#2 - 05/26/2015 01:31 PM - Lluis Marqués
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#3 - 05/26/2015 03:02 PM - Lluis Marqués
- % Done changed from 0 to 100

- Status changed from In progress to Fixed

Corregido el error en la creacion del resultado. Ahora las geometrias implicadas en el corte se separan de la multigeometria y las geometrias no

afectadas se quedan dentro de la multigeometria.

#4 - 05/28/2015 08:47 AM - Francisco Diaz Carsi
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#5 - 05/28/2015 06:22 PM - Alvaro Anguix
- Status changed from Fixed to Closed
